Skip to main content

Send a message to a LinkedIn Event Member

POST /api/v1/send_message_to_event_member

This API allows the authenticated user to send a message to a specific LinkedIn event member by providing the event ID, the member's profile ID, the sender's own profile ID, and the message content.

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference. The event_id parameter should be the event ID.

To track whether your message receives a reply, see How to Use Track Reply.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
event_idstringrequiredThe unique identifier of the LinkedIn event.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
messagestringrequiredThe content of the message to be sent.
frequencynumberrequiredFrequency of tracking reply for this message (in hours).
track_replybooleanBoolean to enable reply tracking for this message.

Sample Request

{
"accountId": "string",
"event_id": "string",
"profile_id": "string",
"message": "string",
"frequency": 0,
"track_reply": false
}

Responses

Webhook Events

Schema

thread_idstringrequiredThe unique identifier of the message thread.
message_idstringrequiredThe unique identifier of the sent message.
sent_atnumberTimestamp when the message was sent.

Sample Response

{
"thread_id": "string",
"message_id": "string",
"sent_at": 0
}
POST/api/v1/send_message_to_event_member
x-api-key
x-api-secret